class Srecord < Formula
  desc "Tools for manipulating EPROM load files"
  homepage "https://srecord.sourceforge.io/"
  url "https://downloads.sourceforge.net/project/srecord/srecord/1.64/srecord-1.64.tar.gz"
  sha256 "49a4418733c508c03ad79a29e95acec9a2fbc4c7306131d2a8f5ef32012e67e2"
  license all_of: ["GPL-3.0-or-later", "LGPL-3.0-or-later"]

  depends_on "boost" => :build
  depends_on "libtool" => :build
  depends_on "libgcrypt"

  on_system :linux, macos: :ventura_or_newer do
    depends_on "groff" => :build
  end

  on_linux do
    depends_on "ghostscript" => :build # for ps2pdf
  end

  # Use macOS's pstopdf
  patch do
    on_macos do
      url "https://raw.githubusercontent.com/Homebrew/formula-patches/85fa66a9/srecord/1.64.patch"
      sha256 "140e032d0ffe921c94b19145e5904538233423ab7dc03a9c3c90bf434de4dd03"
    end
  end

  def install
    system "./configure", "--prefix=#{prefix}", "LIBTOOL=glibtool"
    system "make", "install"
  end
end
